Package org.apache.avro.perf.test.basic.jmh_generated

# Class MapTest_TestStateDecode_jmhType_B2

java.lang.Object
org.apache.avro.perf.test.BasicState
org.apache.avro.perf.test.basic.MapTest.TestStateDecode
org.apache.avro.perf.test.basic.jmh_generated.MapTest_TestStateDecode_jmhType_B1
org.apache.avro.perf.test.basic.jmh_generated.MapTest_TestStateDecode_jmhType_B2

Direct Known Subclasses:
  `MapTest_TestStateDecode_jmhType_B3`

public class MapTest_TestStateDecode_jmhType_B2 extends MapTest_TestStateDecode_jmhType_B1

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`setupInvocationMutex`
`static final AtomicIntegerFieldUpdater<MapTest_TestStateDecode_jmhType_B2>`
`setupInvocationMutexUpdater`
`int`
`setupIterationMutex`
`static final AtomicIntegerFieldUpdater<MapTest_TestStateDecode_jmhType_B2>`
`setupIterationMutexUpdater`
`int`
`setupTrialMutex`
`static final AtomicIntegerFieldUpdater<MapTest_TestStateDecode_jmhType_B2>`
`setupTrialMutexUpdater`
`int`
`tearInvocationMutex`
`static final AtomicIntegerFieldUpdater<MapTest_TestStateDecode_jmhType_B2>`
`tearInvocationMutexUpdater`
`int`
`tearIterationMutex`
`static final AtomicIntegerFieldUpdater<MapTest_TestStateDecode_jmhType_B2>`
`tearIterationMutexUpdater`
`int`
`tearTrialMutex`
`static final AtomicIntegerFieldUpdater<MapTest_TestStateDecode_jmhType_B2>`
`tearTrialMutexUpdater`

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`MapTest_TestStateDecode_jmhType_B2()`

## Method Summary

### Methods inherited from class org.apache.avro.perf.test.basic.MapTest.TestStateDecode

`doSetupInvocation, doSetupTrial`

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getBatchSize, getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### setupTrialMutex

public volatile int setupTrialMutex

### tearTrialMutex

public volatile int tearTrialMutex

### setupTrialMutexUpdater

public static final AtomicIntegerFieldUpdater<MapTest_TestStateDecode_jmhType_B2> setupTrialMutexUpdater

### tearTrialMutexUpdater

public static final AtomicIntegerFieldUpdater<MapTest_TestStateDecode_jmhType_B2> tearTrialMutexUpdater

### setupIterationMutex

public volatile int setupIterationMutex

### tearIterationMutex

public volatile int tearIterationMutex

### setupIterationMutexUpdater

public static final AtomicIntegerFieldUpdater<MapTest_TestStateDecode_jmhType_B2> setupIterationMutexUpdater

### tearIterationMutexUpdater

public static final AtomicIntegerFieldUpdater<MapTest_TestStateDecode_jmhType_B2> tearIterationMutexUpdater

### setupInvocationMutex

public volatile int setupInvocationMutex

### tearInvocationMutex

public volatile int tearInvocationMutex

### setupInvocationMutexUpdater

public static final AtomicIntegerFieldUpdater<MapTest_TestStateDecode_jmhType_B2> setupInvocationMutexUpdater

### tearInvocationMutexUpdater

public static final AtomicIntegerFieldUpdater<MapTest_TestStateDecode_jmhType_B2> tearInvocationMutexUpdater

## Constructor Details

### MapTest_TestStateDecode_jmhType_B2

public MapTest_TestStateDecode_jmhType_B2()